Extending Qt Creator Manual | BuildInfo

Extending Qt Creator Manual 4.5.2

# BuildInfo Class

(ProjectExplorer::BuildInfo)

- List of all members, including inherited members

## Public Functions

| BuildInfo(const IBuildConfigurationFactory *f)
virtual | ~BuildInfo()
const IBuildConfigurationFactory * | factory() const
virtual QList<Task> | reportIssues(const QString &projectPath, const QString &buildDir) const
virtual bool | operator==(const BuildInfo &o) const

## Member Function Documentation

### BuildInfo::BuildInfo(const IBuildConfigurationFactory *f)

Default constructs an instance of BuildInfo.

### `[virtual]` BuildInfo::~BuildInfo()

Destroys the instance of BuildInfo. The destructor is virtual.

### const IBuildConfigurationFactory *BuildInfo::factory() const

### `[virtual]` QList<Task> BuildInfo::reportIssues(const QString &projectPath, const QString &buildDir) const

### `[virtual]` bool BuildInfo::operator==(const BuildInfo &o) const